
// ChildView.cpp :   CChildView
//

#include "stdafx.h"
#include "MFCApplication1.h"
#include "ChildView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CChildView

CChildView::CChildView()
{
}

CChildView::~CChildView()
{
}


BEGIN_MESSAGE_MAP(CChildView, CWnd)
	ON_WM_PAINT()
END_MESSAGE_MAP()



//   CChildView

BOOL CChildView::PreCreateWindow(CREATESTRUCT& cs) 
{
	if (!CWnd::PreCreateWindow(cs))
		return FALSE;

	cs.dwExStyle |= WS_EX_CLIENTEDGE;
	cs.style &= ~WS_BORDER;
	cs.lpszClass = AfxRegisterWndClass(CS_HREDRAW|CS_VREDRAW|CS_DBLCLKS, 
		::LoadCursor(NULL, IDC_ARROW), reinterpret_cast<HBRUSH>(COLOR_WINDOW+1), NULL);

	return TRUE;
}

void CChildView::OnPaint() 
{
	RECT R;
	const int N = 10;
	CPaintDC dc(this); //    
	GetClientRect(&R);
	int w = R.right / (2 * N);
	int h = R.bottom / (2 * N);
	MessageBox("");
	for (int i = 0; i < N; i++)
	{
		CBrush b(RGB(255*i/N,0,0));
		HGDIOBJ temp = dc.SelectObject(b);
		dc.Ellipse(i*w, i*h, R.right - i*w, R.bottom - i*h);
		dc.SelectObject(temp);
	}
	
}

