
// MFCApplication4Dlg.cpp :  
//

#include "stdafx.h"
#include "MFCApplication4.h"
#include "MFCApplication4Dlg.h"
#include "afxdialogex.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


//   CAboutDlg      

class CAboutDlg : public CDialogEx
{
public:
	CAboutDlg();

//   
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_ABOUTBOX };
#endif

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    //  DDX/DDV

// 
protected:
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialogEx(IDD_ABOUTBOX)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialogEx)
END_MESSAGE_MAP()


//   CMFCApplication4Dlg



CMFCApplication4Dlg::CMFCApplication4Dlg(CWnd* pParent /*=NULL*/)
	: CDialogEx(IDD_MFCAPPLICATION4_DIALOG, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CMFCApplication4Dlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_EDIT1, X);
	DDX_Control(pDX, IDC_EDIT2, Y);
	DDX_Control(pDX, IDC_EDIT3, Z);
}

BEGIN_MESSAGE_MAP(CMFCApplication4Dlg, CDialogEx)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_BUTTON1, &CMFCApplication4Dlg::OnBnClickedButton1)
//	ON_BN_CLICKED(IDC_BUTTON2, &CMFCApplication4Dlg::onButtonClicked1)
ON_BN_CLICKED(IDC_BUTTON2, &CMFCApplication4Dlg::OnBnClickedButton2)
ON_BN_CLICKED(IDC_BUTTON3, &CMFCApplication4Dlg::OnBnClickedButton3)
ON_BN_CLICKED(IDC_BUTTON4, &CMFCApplication4Dlg::OnBnClickedButton4)
END_MESSAGE_MAP()


//   CMFCApplication4Dlg

void CMFCApplication4Dlg::GetNumbers(int & n1, int & n2)
{
	CString s1, s2;

	X.GetWindowTextW(s1);
	Y.GetWindowTextW(s2);

	n1 = _ttoi(s1);
	n2 = _ttoi(s2);
}

void CMFCApplication4Dlg::SetNumber(int n3)
{
	CString s3;

	s3.Format(L"%d", n3);
	Z.SetWindowTextW(s3);
}

BOOL CMFCApplication4Dlg::OnInitDialog()
{
	CDialogEx::OnInitDialog();

	//   " ..."   .

	// IDM_ABOUTBOX      .
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		BOOL bNameValid;
		CString strAboutMenu;
		bNameValid = strAboutMenu.LoadString(IDS_ABOUTBOX);
		ASSERT(bNameValid);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	//      .     ,
	//        
	SetIcon(m_hIcon, TRUE);			//  
	SetIcon(m_hIcon, FALSE);		//  

	// TODO:   

	X.SetWindowTextW(L"0");
	Y.SetWindowTextW(L"0");
	Z.SetWindowTextW(L"0");

	return TRUE;  //   TRUE,      
}

void CMFCApplication4Dlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialogEx::OnSysCommand(nID, lParam);
	}
}

//            ,
//    .    MFC,     ,
//      .

void CMFCApplication4Dlg::OnPaint()
{
	if (IsIconic())
	{
		CPaintDC dc(this); //    

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		//      
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		//  
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialogEx::OnPaint();
	}
}

//          
//   .
HCURSOR CMFCApplication4Dlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}



void CMFCApplication4Dlg::OnBnClickedButton1()
{	// +
	int n1, n2, n3;

	GetNumbers(n1, n2);
	n3 = n1 + n2;
	SetNumber(n3);

}


void CMFCApplication4Dlg::OnBnClickedButton2()
{
	int n1, n2, n3;

	GetNumbers(n1, n2);
	n3 = n1 - n2;
	SetNumber(n3);
}


void CMFCApplication4Dlg::OnBnClickedButton3()
{
	int n1, n2, n3;

	GetNumbers(n1, n2);
	n3 = n1 * n2;
	SetNumber(n3);
}


void CMFCApplication4Dlg::OnBnClickedButton4()
{
	int n1, n2, n3;

	GetNumbers(n1, n2);
	if (n2)
	{
		n3 = n1 / n2;
		SetNumber(n3);
	}
	else MessageBox(L"  ");
}
